Bug 8778 - Add Keyword phrase search to OPAC search
Summary: Add Keyword phrase search to OPAC search
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-17 20:08 UTC by David Cook
Modified: 2019-10-07 13:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 8778 - Add "Phrase" Searching to OPAC Search (4.40 KB, patch)
2012-09-17 20:25 UTC, David Cook
Details | Diff | Splinter Review
Bug 8778: Add Keyword phrase to OPAC advanced search (1.77 KB, patch)
2019-08-11 10:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8778: Add Keyword phrase to OPAC advanced search (1.82 KB, patch)
2019-08-16 20:51 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 8778: Add Keyword phrase to OPAC advanced search (1.88 KB, patch)
2019-10-03 12:07 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-09-17 20:08:41 UTC
Add "Keyword phrase", "Title phrase", and "Notes/Comments" to drop-down menu in masthead.inc, which populates top search box in OPAC. 

Also, edit opac-search.pl so that the correct index appears in the drop-down menu following a search (which doesn't seem possible using JQuery)

Finally, add "Keyword phrase" to OPAC Advanced Search, and move "Title phrase" and "Notes/Comments" so that they appear on the default advanced search screen rather than after clicking "More Options".
Comment 1 David Cook 2012-09-17 20:25:37 UTC
Created attachment 12291 [details] [review]
Bug 8778 - Add "Phrase" Searching to OPAC Search
Comment 2 Owen Leonard 2012-09-18 16:54:33 UTC
Discussion of this and Bug 8302:
http://lists.koha-community.org/pipermail/koha-devel/2012-September/038042.html
Comment 3 Fridolin SOMERS 2014-10-23 11:18:14 UTC
I'd say this patch manages 2 different things :
1/ adds index "kw,phr" in OPAC bootstrap advanced search
2/ moves indexes with "phr" out of "more options" condition

I think the point n°2 is under discussion and I vote against.

What about point n°1 ? I've add a ask for this feature by a library.
Can I create a new bug for adding index "kw,phr" in OPAC bootstrap advanced search, but into a more options" condition ?
Comment 4 Katrin Fischer 2019-01-07 20:02:35 UTC
(In reply to Fridolin SOMERS from comment #3)
> I'd say this patch manages 2 different things :
> 1/ adds index "kw,phr" in OPAC bootstrap advanced search
> 2/ moves indexes with "phr" out of "more options" condition
> 
> I think the point n°2 is under discussion and I vote against.
> 
> What about point n°1 ? I've add a ask for this feature by a library.
> Can I create a new bug for adding index "kw,phr" in OPAC bootstrap advanced
> search, but into a more options" condition ?

Hi Fridolin, this is an old one - but I'd like to have the first without the second.
Comment 5 Katrin Fischer 2019-01-28 09:15:01 UTC
I am volunteering to do the first part: Add Keyword, Phrase to the advanced search.
Comment 6 Fridolin SOMERS 2019-01-29 11:38:21 UTC
(In reply to Katrin Fischer from comment #5)
> I am volunteering to do the first part: Add Keyword, Phrase to the advanced
> search.

Cool thanks a lot
Comment 7 Katrin Fischer 2019-08-11 10:19:41 UTC
Created attachment 92140 [details] [review]
Bug 8778: Add Keyword phrase to OPAC advanced search

Adds a new search index to the advanced search in OPAC:
Keyword phrase
The new search option displays when the "More options" are
selected.

To test:
- Apply patch
- Go to Advanced search in OPAC
- Look at the search pull downs
- Verify everything looks correct
- Click "More options"
- Verify the Keyword phrase search option shows
- Test if it works correctly
Comment 8 Lucas Gass 2019-08-16 20:51:56 UTC
Created attachment 92328 [details] [review]
Bug 8778: Add Keyword phrase to OPAC advanced search

Adds a new search index to the advanced search in OPAC:
Keyword phrase
The new search option displays when the "More options" are
selected.

To test:
- Apply patch
- Go to Advanced search in OPAC
- Look at the search pull downs
- Verify everything looks correct
- Click "More options"
- Verify the Keyword phrase search option shows
- Test if it works correctly

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 9 Katrin Fischer 2019-08-17 05:42:40 UTC
Thx Lucas!
Comment 10 Katrin Fischer 2019-10-01 14:02:48 UTC
The first patch was old and not needed for the suggested change. Remaining patch now applies cleanly.
Comment 11 Nick Clemens 2019-10-03 12:07:47 UTC
Created attachment 93581 [details] [review]
Bug 8778: Add Keyword phrase to OPAC advanced search

Adds a new search index to the advanced search in OPAC:
Keyword phrase
The new search option displays when the "More options" are
selected.

To test:
- Apply patch
- Go to Advanced search in OPAC
- Look at the search pull downs
- Verify everything looks correct
- Click "More options"
- Verify the Keyword phrase search option shows
- Test if it works correctly

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Martin Renvoize 2019-10-07 13:10:14 UTC
Nice work!

Pushed to master for 19.11.00